summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--lib/git.zsh2
-rw-r--r--plugins/compleat/compleat.plugin.zsh22
-rw-r--r--themes/jtriley.zsh-theme2
3 files changed, 24 insertions, 2 deletions
diff --git a/lib/git.zsh b/lib/git.zsh
index e96f075be..2ace3d0e0 100644
--- a/lib/git.zsh
+++ b/lib/git.zsh
@@ -15,7 +15,7 @@ parse_git_dirty() {
# Checks if there are commits ahead from remote
function git_prompt_ahead() {
- if $(echo "$(git log origin/master..HEAD 2> /dev/null)" | grep '^commit' &> /dev/null); then
+ if $(echo "$(git log origin/$(current_branch)..HEAD 2> /dev/null)" | grep '^commit' &> /dev/null); then
echo "$ZSH_THEME_GIT_PROMPT_AHEAD"
fi
}
diff --git a/plugins/compleat/compleat.plugin.zsh b/plugins/compleat/compleat.plugin.zsh
new file mode 100644
index 000000000..8d16a5687
--- /dev/null
+++ b/plugins/compleat/compleat.plugin.zsh
@@ -0,0 +1,22 @@
+# ------------------------------------------------------------------------------
+# FILE: compleat.plugin.zsh
+# DESCRIPTION: oh-my-zsh plugin file.
+# AUTHOR: Sorin Ionescu (sorin.ionescu@gmail.com)
+# VERSION: 1.0.0
+# ------------------------------------------------------------------------------
+
+
+if (( ${+commands[compleat]} )); then
+ local prefix="${commands[compleat]:h:h}"
+ local setup="${prefix}/share/compleat-1.0/compleat_setup"
+
+ if [[ -f "$setup" ]]; then
+ if ! bashcompinit >/dev/null 2>&1; then
+ autoload -U bashcompinit
+ bashcompinit -i
+ fi
+
+ source "$setup"
+ fi
+fi
+
diff --git a/themes/jtriley.zsh-theme b/themes/jtriley.zsh-theme
index ec62a2208..15d77ed23 100644
--- a/themes/jtriley.zsh-theme
+++ b/themes/jtriley.zsh-theme
@@ -1,6 +1,6 @@
#PROMPT='%{$fg_bold[red]%}➜ %{$fg_bold[green]%}%p %{$fg[cyan]%}%c %{$fg_bold[blue]%}$(git_prompt_info)%{$fg_bold[blue]%} % %{$reset_color%}'
PROMPT="%{$fg_bold[cyan]%}%T%{$fg_bold[green]%} %{$fg_bold[white]%}%n%{$fg[magenta]%}@%{$fg_bold[white]%}%m %{$fg_bold[green]%}%d
-%{$fg_bold[yellow]%}%% $(git_prompt_info)%{$reset_color%}"
+%{$fg_bold[yellow]%}%% %{$reset_color%}"
#ZSH_THEME_GIT_PROMPT_PREFIX="git:(%{$fg[red]%}"
#ZSH_THEME_GIT_PROMPT_SUFFIX="%{$reset_color%}"